title = "TestCatalog"
url = "/catalog/:category*"
layout = "main"
is_hidden = 0

[Ims\Shophelper\Components\ProductList ProductList]
sorting = "no"
==
<section class="catalog container mt-4">
	<div class="row">
		<div class="col-sm-12">
			<div class="row">
				<div class="col-sm-6">
		
					<label for="sorting">Tipo ordinamento:</label>
				
					<form class="form" onchange="changeSorting()">
						<select name="sorting" id="sorting-options">
							<option value="">Nessuno</option>
							<option value="new">Nuovi</option>
							<option value="price|asc">Prezzo discendente</option>
							<option value="price|desc">Prezzo ascendente</option>
						</select>
					</form>
					
				</div>
				<div class="col-sm-6">
		
					<label for="searching">Cerca:</label>
				
					<form class="form" oninput="searchForm()">
						<input name="sorting" id="search" placeholder="Search...">
					</form>
					
				</div>
			</div>
			<div class="row">
				<div class="col-sm-6">
	
					<h2>Lista arProductList</h2>
					<div class="sort-list">
						
						<ul class="catalog__list list-unstyled flex-wrap row">
						    {% for obProduct in arProductList %}
						        {#<li class="catalog__item col-lg-4 col-sm-6 col-12">#}
						        <li style="display:block; width:100%;padding-left:30px;">
						            {{ obProduct.name }}
						        </li>
						    {% endfor %}
						</ul>
						
					</div>
				</div>
				
				<div class="col-sm-6">
					{#{% set obActiveCategory = CategoryPage.get() %}
					{% set obPropertyList = obActiveCategory.offer_filter_property %}
					
					
					{% set obPropertyList = catPage.get().offer_filter_property %}
					{{dump()}}#}
					
					
					
				    {# Render proeprty list #}
				    {% for obProperty in obPropertyList if obProperty.hasValue() %}
				        <div>
				            {# Render property name #}
				            <span>{{ obProperty.filter_name }}</span>
				            <div>
				                {# Render property values #}
				                {% if obProperty.filter_type == 'checkbox' %}
				                    {% for obPropertyValue in obProperty.property_value %}
				                        <label for="property-{{ obProperty.id }}">{{ obPropertyValue.value }}</label>
				                        <input
				                            type="checkbox"
				                            name="property[{{ obProperty.id }}][]"
				                            id="property-{{ obProperty.id }}"
				                            {% if arAppliedPropertyList[obProperty.id] is not empty and obPropertyValue.slug in arAppliedPropertyList[obProperty.id] %}
				                                checked="checked"
				                            {% endif %}
				                            value="{{ obPropertyValue.slug }}">
				                    {% endfor %}
				                {% elseif obProperty.filter_type == 'select' %}
				                    <select name="property[{{ obProperty.id }}][]">
				                        {% for obPropertyValue in obProperty.property_value %}
				                            <option
				                                {% if arAppliedPropertyList[obProperty.id] is not empty and obPropertyValue.slug in arAppliedPropertyList[obProperty.id] %}
				                                    selected="selected"
				                                {% endif %}
				                                value="{{ obPropertyValue.slug }}">
				                                {{ obPropertyValue.value }}
				                            </option>
				                        {% endfor %}
				                    </select>
				                {% endif %}
				            </div>
				        </div>
				    {% endfor %}
				
				</div>
				
			</div>
		</div>
	</div>
</section>

{% put scripts %}
	<script type="text/javascript">
	
		function changeSorting() {
		  	var sort = document.getElementById("sorting-options").value;
	
		  	$.request('onChangeSorting', {
			  	data: {sort_type: sort},
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() { 
			  		/*
			  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
			  		$('#menu_inner').lightGallery({
					    thumbnail:true,
					    selector: "a"
					});*/
			  	},
			  	
			});
		  
		}
		
		function searchForm() {
		  	var search = document.getElementById("search").value;
	
		  	$.request('onSearchForm', {
			  	data: {search_label: search},
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() { 
			  		/*
			  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
			  		$('#menu_inner').lightGallery({
					    thumbnail:true,
					    selector: "a"
					});*/
			  	},
			  	
			});
		  
		}
		
	</script>
{% endput %}